#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python2
#-----------------------------------------------------------------------------
Name		:	python2-enum34
Version		:	1.1.6
Release		:	17.2.0.rel%{?dist}
Summary		:	Backport of Python 3.4 Enum
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/enum34

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python2
BuildRequires	:	python2-setuptools

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Python 3.4 introduced official support for enumerations.  This is a
backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and
2.4.
 
An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, the members can be compared by
identity, and the enumeration itself can be iterated over.

This module defines two enumeration classes that can be used to define
unique sets of names and values: Enum and IntEnum. It also defines one
decorator, unique, that ensures only unique member names are present
in an enumeration.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python2_sitelib}/enum/LICENSE
%{python2_sitelib}/enum/README
%{python2_sitelib}/enum/doc/*.{pdf,rst}
%{python2_sitelib}/enum/*.py*
%{python2_sitelib}/%{sname}*-info/PKG-INFO
%{python2_sitelib}/%{sname}*-info/*.txt

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
